x/sheetjs@v0.18.3/.travis.yml

📗 SheetJS Community Edition -- Spreadsheet Data Toolkit
GitHub Stars
30563
Latest
.travis.yml
language: node_jsdist: xenialnode_js: - "14" - "13" - "12" - "11" - "10" - "9" - "8"matrix: include: - node_js: "14" env: TZ="America/New_York" - node_js: "13" env: TZ="Europe/London" - node_js: "12" env: TZ="Asia/Seoul" - node_js: "11" env: TZ="America/Los_Angeles" FMTS=misc - node_js: "10" env: TZ="Europe/Berlin" FMTS=misc - node_js: "9" env: TZ="Asia/Kolkata" FMTS=misc - node_js: "8" env: TZ="Asia/Shanghai" FMTS=misc - node_js: "7" env: TZ="America/Cancun" FMTS=misc - node_js: "6" env: TZ="Asia/Seoul" FMTS=misc - node_js: "5" env: TZ="America/Anchorage" FMTS=misc - node_js: "4" env: TZ="America/Barbados" FMTS=misc # see GH issue #1150 - node_js: "4.4.7" env: TZ="Asia/Tokyo" FMTS=misc - node_js: "0.12" env: TZ="America/Cayman" FMTS=misc - node_js: "0.10" env: TZ="Pacific/Honolulu" FMTS=misc - node_js: "0.8" env: TZ="America/Mexico_City" FMTS=misc
before_install: - "npm config set strict-ssl false" - "./misc/node_version.sh" - "npm install -g mocha@2.x voc" - "npm install blanket" - "npm install word" - "npm install coveralls mocha-lcov-reporter"# note: jsdom 11.x expects node >= 6 but is missing engines.node - "npm install jsdom@11.x"before_script: - "make init" - "cd test_files; make all; cd -"after_success:# - "make coveralls-spin"